Changeset 98079


Ignore:
Timestamp:
Sep 24, 2012, 1:54:11 PM (6 years ago)
Author:
ryandesign@…
Message:

mongodb: update to 2.2.0 (#36290); use bundled boost because mongodb is incompatible with boost 1.50+ (#35118)

Location:
trunk/dports/databases/mongodb
Files:
3 added
3 edited
1 moved

Legend:

Unmodified
Added
Removed
  • trunk/dports/databases/mongodb/Portfile

    r97962 r98079  
    66name                mongodb
    77epoch               1
    8 version             2.0.7
     8version             2.2.0
    99license             AGPL-3
    1010categories          databases
     
    2020distname            ${name}-src-r${version}
    2121
    22 checksums           rmd160  7a80f463ea2f7f1de80972fcded3fbe982e6f8f0 \
    23                     sha256  b204d94bc912692bdc154402fbfc2e5c4bd60b09dcbe244f3b2b7657f0a82736
     22checksums           rmd160  08a411e74d3f66e5714f04d537e8c45bcd0fc2fe \
     23                    sha256  084626e476ac747dfae143889c24a10f739cd54480af9bf253f50999f065608b
    2424
    2525depends_build       port:scons
    2626
    27 depends_lib         port:boost \
    28                     port:pcre \
     27depends_lib         port:pcre \
    2928                    port:spidermonkey \
    3029                    port:libpcap \
    3130                    port:snappy
    3231
     32# As of mongodb 2.2.0, we use the bundled copy of boost instead of the boost port, because
     33# the developers still have not fixed mongodb's incompatibility with boost 1.50 and up.
     34# https://jira.mongodb.org/browse/SERVER-4314
     35
    3336patchfiles          patch-SConstruct.diff \
    3437                    patch-distsrc-client-SConstruct.diff \
    35                     patch-util-compress.cpp.diff
     38                    patch-src-SConscript.client.diff \
     39                    patch-src-mongo-SConscript.diff \
     40                    patch-src-mongo-util-compress.cpp.diff \
     41                    patch-src-third_party-SConscript.diff
    3642
    3743post-patch {
     
    4955}
    5056
    51 pre-configure {
    52     # https://trac.macports.org/ticket/35118
    53     # https://jira.mongodb.org/browse/SERVER-4314
    54     set boost_version_int [exec awk {/#define BOOST_VERSION/ {print $3}} ${prefix}/include/boost/version.hpp]
    55     scan ${boost_version_int} {%1d%3d%2d} boost_major boost_minor boost_patch
    56     set boost_version "${boost_major}.${boost_minor}.${boost_patch}"
    57     if {[vercmp ${boost_version} 1.50] >= 0} {
    58         ui_error "mongodb ${version} requires boost 1.49.0 or older but you have boost ${boost_version}."
    59         ui_error "To downgrade boost, see https://trac.macports.org/wiki/howto/InstallingOlderPort"
    60         ui_error "or more specifically https://trac.macports.org/ticket/35118#comment:12"
    61         ui_error "After installing boost 1.49.0, install mongodb without upgrading dependencies, i.e.:"
    62         ui_error "    sudo port -n install mongodb"
    63         return -code error "boost ${boost_version} is too new"
    64     }
    65 }
    66 
    6757build.env           TERM=xterm \
    6858                    CFLAGS="[get_canonical_archflags cc]" \
    6959                    CPPFLAGS="-I${prefix}/include/js" \
    7060                    CXXFLAGS="[get_canonical_archflags cxx]" \
    71                     LINKFLAGS="[get_canonical_archflags ld] -lpcre"
     61                    LINKFLAGS="[get_canonical_archflags ld]"
    7262
    73 build.cmd           scons
     63build.cmd           ${prefix}/bin/scons
    7464build.target        all mongobridge mongosniff
    7565build.args          --cxx=${configure.cxx} \
    7666                    --full \
    77                     --use-system-all \
    78                     --usesm
     67                    --use-system-pcre \
     68                    --use-system-sm \
     69                    --use-system-snappy \
     70                    --extralib=pcre,pcrecpp,js,snappy
    7971
    8072eval destroot.env   [option build.env]
  • trunk/dports/databases/mongodb/files/patch-SConstruct.diff

    r93007 r98079  
    1 --- SConstruct.orig     2012-05-08 09:51:28.000000000 -0500
    2 +++ SConstruct  2012-05-13 18:54:07.000000000 -0500
    3 @@ -503,21 +503,15 @@
     1--- SConstruct.orig     2012-08-28 00:28:11.000000000 -0500
     2+++ SConstruct  2012-08-30 04:19:10.000000000 -0500
     3@@ -486,21 +486,14 @@
    44     darwin = True
    55     platform = "osx" # prettier than darwin
     
    1313 
    1414-    if force64:
    15 -        env.Append( CPPPATH=["/usr/64/include"] )
    16 -        env.Append( LIBPATH=["/usr/64/lib"] )
    17 -        if installDir == DEFAULT_INSTALL_DIR and not distBuild:
    18 -            installDir = "/usr/64/"
     15-       env.Append( EXTRACPPPATH=["/usr/64/include"] )
     16-       env.Append( EXTRALIBPATH=["/usr/64/lib"] )
     17-       if installDir == DEFAULT_INSTALL_DIR:
     18-           installDir = "/usr/64/"
    1919-    else:
    20 -        env.Append( CPPPATH=filterExists(["/sw/include" , "/opt/local/include"]) )
    21 -        env.Append( LIBPATH=filterExists(["/sw/lib/", "/opt/local/lib"]) )
    22 +    env.Append( CPPPATH=["@@PREFIX@@/include"] )
    23 +    env.Append( LIBPATH=["@@PREFIX@@/lib"] )
     20-       env.Append( EXTRACPPPATH=filterExists(["/sw/include" , "/opt/local/include"]) )
     21-       env.Append( EXTRALIBPATH=filterExists(["/sw/lib/", "/opt/local/lib"]) )
     22+    env.Append( EXTRACPPPATH=["@@PREFIX@@/include"] )
     23+    env.Append( EXTRALIBPATH=["@@PREFIX@@/lib"] )
    2424+    env["CFLAGS"] = os.getenv("CFLAGS")
    2525+    env["CPPFLAGS"] = os.getenv("CPPFLAGS")
    2626+    env["CXXFLAGS"] = os.getenv("CXXFLAGS")
    2727+    env["LINKFLAGS"] = os.getenv("LINKFLAGS")
    28 +
    2928 
    30  elif "linux2" == os.sys.platform or "linux3" == os.sys.platform:
     29 elif os.sys.platform.startswith("linux"):
    3130     linux = True
    32 @@ -700,7 +694,7 @@
    33          env["CXX"] = "distcc " + env["CXX"]
    34          
    35      # -Winvalid-pch Warn if a precompiled header (see Precompiled Headers) is found in the search path but can't be used.
    36 -    env.Append( CPPFLAGS="-fPIC -fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch" )
    37 +    env.Append( CPPFLAGS=" -fPIC -fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch " )
    38      # env.Append( " -Wconversion" ) TODO: this doesn't really work yet
    39      if linux:
    40          env.Append( CPPFLAGS=" -Werror " )
    41 @@ -995,7 +989,7 @@
    42  
    43          myCheckLib( "tcmalloc" , True );  # if successful, appedded 'tcmalloc' to myenv[ LIBS ]
    44          myenv.Append( CPPDEFINES=[ "HEAP_CHECKING" ] )
    45 -        myenv.Append( CPPFLAGS="-fno-omit-frame-pointer" )
    46 +        myenv.Append( CPPFLAGS=" -fno-omit-frame-pointer " )
    47  
    48      # FIXME doConfigure() is being called twice, in the case of the shell. So if it is called
    49      # with shell==True, it'd be on its second call and it would need to rearrange the libraries'
  • trunk/dports/databases/mongodb/files/patch-distsrc-client-SConstruct.diff

    r86916 r98079  
    1 --- distsrc/client/SConstruct.orig      2011-09-11 09:09:34.000000000 -0500
    2 +++ distsrc/client/SConstruct   2011-09-13 03:50:05.000000000 -0500
    3 @@ -39,7 +39,7 @@
    4  linux = False
     1--- distsrc/client/SConstruct.orig      2012-08-28 00:28:11.000000000 -0500
     2+++ distsrc/client/SConstruct   2012-08-30 04:21:53.000000000 -0500
     3@@ -47,7 +47,7 @@
     4 win = False
    55 
    6  if "darwin" == os.sys.platform:
     6 if "darwin" == sys.platform:
    77-    addExtraLibs( "/opt/local/" )
    88+    addExtraLibs( "@@PREFIX@@/" )
    99     nix = True
    10  elif "linux2" == os.sys.platform or "linux3" == os.sys.platform:
     10 elif sys.platform in ("linux2", "linux3"):
    1111     nix = True
  • trunk/dports/databases/mongodb/files/patch-src-mongo-util-compress.cpp.diff

    r97206 r98079  
    1 --- util/compress.cpp.orig      2011-10-21 19:52:16.000000000 -0500
    2 +++ util/compress.cpp   2011-10-27 19:30:16.000000000 -0500
    3 @@ -1,6 +1,6 @@
    4  // @file compress.cpp
     1--- src/mongo/util/compress.cpp.orig    2012-08-28 00:28:11.000000000 -0500
     2+++ src/mongo/util/compress.cpp 2012-08-30 04:24:21.000000000 -0500
     3@@ -2,7 +2,7 @@
    54 
    6 -#include "../third_party/snappy/snappy.h"
     5 #include "mongo/util/compress.h"
     6 
     7-#include "third_party/snappy/snappy.h"
    78+#include <snappy.h>
    8  #include "compress.h"
    9  #include <string>
    10  #include <string.h>
     9 
     10 namespace mongo {
     11 
Note: See TracChangeset for help on using the changeset viewer.